LFJ Router API
Path parameters
chainstring · enumRequiredPossible values:
Chain identifier
aggstring · enumRequiredPossible values:
Aggregator identifier
Query parameters
tokenInstringRequired
Input token address
tokenOutstringRequired
Output token address
amountInstringOptional
Input token amount
amountOutstringOptional
Output token amount
Responses
200
Successful response
application/json
amountInstringOptional
Input token amount
amountOutstringOptional
Output token amount
aggregatorstringOptional
Aggregator identifier
400
Bad request
application/json
get
/v2/aggregator/routes/{chain}/{agg}/quotePath parameters
chainstring · enumRequiredPossible values:
Chain identifier
aggstring · enumRequiredPossible values:
Aggregator identifier
Query parameters
tokenInstringRequired
Input token address
tokenOutstringRequired
Output token address
amountInstringRequired
Input token amount
userAddressstringRequired
User's wallet address
slippageBpsinteger · max: 10000Required
Maximum slippage tolerance in basis points (1 bps = 0.01%)
feeBpsinteger · max: 10000Required
Fee in basis points (1 bps = 0.01%)
feeRecipientAddressstringOptional
Fee recipient's wallet address. Required if feeBps is not zero.
Responses
200
Successful response
application/json
fromstringOptional
Transaction from address
tostringOptional
Transaction to address
datastringOptional
Transaction data
valuestringOptional
Transaction value
gasstringOptional
Gas limit
gasPricestringOptional
Gas price
400
Bad request
application/json
get
/v2/aggregator/routes/{chain}/{agg}/swapLast updated